Subject: Re: bug#59151: Major performance issues in dired over ssh (Tramp) when remote directory contains symlinks

From: Michael Albinus <[email-masked]>
Date: Thu, 10 Nov 2022 11:54:03 +0100

Mikhail Pomaznoy <[email-masked]> writes:

Hi Mikhail,

>> I recommend you to disable the buffer-local font-lock-mode in a remote
>> dired buffer with so many symlinked files, via `M-x font-lock-mode'.
> Indeed, disabling font-lock works like a charm and restores the performance

Thanks for the feedback, I'm closing the bug.

>> This takes time for remote files, especially if you don't use Tramp
>> caches, or caches with a short timeout.
> What an average Emacs Tramp user can do about those caches? searching
> for keywords `tramp cache` in customize menu of emacs gives
> nothing. If I search for `cache` in Tramp manual there is just a
> single section which doesn't look relevant for this case. Is the
> caches you talking about something "sophisticated" or simply
> documentation is lacking?

See remote-file-name-inhibit-cache. It's default value is 10, meaning
caching for 10 seconds. You can increase this value, or set it to nil.

> Of course certain lag is fine and expected when the directory is
> listed for the first time. But on every scroll ?
>
> Thanks for your reply,
>
> -Mikhail

Best regards, Michael.